
(function ($) {
    /**
     * @class FR.PdfPreView
     * @extends FR.Button
     */
    FR.ButtonPdfPreview = FR.extend(FR.Button, {
        _defaultConfig: function () {
            return $.extend(FR.ButtonPdfPreview.superclass._defaultConfig.apply(), {
                baseName: 'buttonpdfpreview',
                baseClass: 'buttonpdfpreview',
                widgetName: "[按钮]在线文档预览",
                allowdownload:true,
                watermarkstr: "",
                fileaddr: "",
                icon:"css:x-emb-preview"
            });
        },
        _init: function () {
            var o = this.options;
//            console.log(o);
            this.width = o.width || $dom.width();
            this.height = o.height || $dom.height();
//            console.log(this.width);
//            console.log(this.height);
            var filepath = decodeURIComponent(decodeURIComponent(o.fileaddr));
            var filename = "";
            if(filepath != ""){
                if(filepath.indexOf("/")!=-1){
                    filename = filepath.substr(filepath.lastIndexOf("/")+1);
                }else if(filepath.indexOf("\\")!=-1) {
                    filename = filepath.substr(filepath.lastIndexOf("\\")+1);
                } else{
                    filename = filepath;
                }
            }
            o.value = filename;
            var sessionid = o.widgetUrl.substr(o.widgetUrl.lastIndexOf("=")+1);
            // console.log(sessionid);
//             console.log(o)
            o.handler = function(){
                var url = "ReportServer?op=resource&resource=pdfjs-dist/web/viewer.html&param=";
                if(o.envVersion> 9){
//                    url = "?op=resource&resource=pdfjs-dist/web/viewer.html&param=";
                    url = FR.fineServletURL+"/view/report?op=resource&resource=pdfjs-dist/web/viewer.html&param=";
//                      url = "ReportServer?op=resource&resource=pdfjs-dist/web/viewer.html&param=";
//                    url = "https://project.shaphar.com/webroot/decision/view/report?op=resource&resource=pdfjs-dist/web/viewer.html&param=";
                    }
                var encodeData = window.btoa("allowdownload=" + o.allowdownload + "&filename="+encodeURIComponent(filename) +"&allowAPI="+o.allowAPI + "&watermark=" + o.watermarkstr + "&file=" + o.fileaddr+"&sessionstr="+sessionid)
               // console.log("22"+url+encodeData);
                window.open(url+encodeData);
                }
            FR.ButtonPdfPreview.superclass._init.apply(this, arguments);
            // console.log(o)

        },
        initTable:function(o){
            if (!o.text && o.value) {
                o.text = o.value;
            }
            var id = o.baseCls + "-" + o.widgetName;
            var cls = (o.icon)
                ? (o.text ? ' fr-btn-text-icon' : ' fr-btn-icon')
                : ' fr-btn-noicon';
            var scaleCls = 'fr-btn-' + o.scale + ' fr-btn-icon-' + o.scale + '-'
                + o.iconAlign;
            this.$btn= $('<button/>')
                .attr('unselectable','none')
                .attr('type','button')
                .attr('data-role','none')
                .addClass('fr-btn-text')
                .append(o.text);
            this.$em= $('<em/>').attr('unselectable','on').append(this.$btn)
            this.$btnWrap=$('<div/>').addClass(scaleCls).append(this.$em);
            FR.Button.setIcon(this.$btn ,o.icon);
            this.$btndiv = $('<div/>')
                .attr('id',id)
                .addClass('x-toolbar fr-btn-up')
                .addClass(cls)
                .append(this.$btnWrap).appendTo(this.element);
            var btnTextHeight= o.scale=='small'? 14 : o.scale=='middle'? 24 : 32;
            if(FR.Browser.isIE8Before()){
                this.$btn.css('margin-top',(o.height - btnTextHeight)/2);
            }else{
                this.$btndiv.css('display' , 'table-cell');
            }
            this.$btndiv.height(Number(o.height) + 1);//改成新样式会出现间隙
            this.$btndiv.width(o.width);
        },


    });
    $.shortcut('buttonpdfpreview', FR.ButtonPdfPreview);

})(jQuery);

